[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: We need easier installation.



On Fri, Oct 23, 1998 at 09:51:10PM -0500, David Engel wrote:

> > That is indeed the problem.  Of course, in your example, vi and emacs would
> > _both_ have a high rating because they're so popular.  But which vi, and
> > which emacs?  There are at least three vi's I know (nvi, elvis, vim) and
> > at least three emacsen (emacs19, emacs20, xemacs).  Some of these must
> > be worse than others.
> 
> I'll tell you which ones to install by default -- any ones as long as
> the result is consistent and deterministic.  The key is that new users
> don't have to fuss with a decision they don't know enough (yet) to
> make and that experienced users who do know can easily override the
> default if it doesn't suit them.

I'm not sure I follow you.  Do you mean that any version of vi would be
okay, because new users don't know the difference anyway?  I'd think that
perhaps newbies would most want the easiest-to-use of the bunch, or
something similar.  For example, not many people use plain nvi anymore (I
hope -- my flame-retardant suit is at the laundry).

Have fun,

Avery


Reply to: